diff mbox

qemu-iotests: Test for loading VM state from qcow2

Message ID 1382552791-10180-1-git-send-email-mreitz@redhat.com
State New
Headers show

Commit Message

Max Reitz Oct. 23, 2013, 6:26 p.m. UTC
Add a test for saving a VM state from a qcow2 image and loading it back
(with having restarted qemu in between); this should work without any
problems.

Signed-off-by: Max Reitz <mreitz@redhat.com>
---
Follow-up to (depends on):
 - qcow2: Restore total_sectors value in save_vmstate
 - qcow2: Unset zero_beyond_eof in save_vmstate
---
 tests/qemu-iotests/068   | 65 ++++++++++++++++++++++++++++++++++++++++++++++++
 tests/qemu-iotests/group |  1 +
 2 files changed, 66 insertions(+)
 create mode 100755 tests/qemu-iotests/068

Comments

Kevin Wolf Oct. 24, 2013, 9:43 a.m. UTC | #1
Am 23.10.2013 um 20:26 hat Max Reitz geschrieben:
> Add a test for saving a VM state from a qcow2 image and loading it back
> (with having restarted qemu in between); this should work without any
> problems.
> 
> Signed-off-by: Max Reitz <mreitz@redhat.com>
> ---
> Follow-up to (depends on):
>  - qcow2: Restore total_sectors value in save_vmstate
>  - qcow2: Unset zero_beyond_eof in save_vmstate
> ---
>  tests/qemu-iotests/068   | 65 ++++++++++++++++++++++++++++++++++++++++++++++++
>  tests/qemu-iotests/group |  1 +

068.out is missing.

Kevin
diff mbox

Patch

diff --git a/tests/qemu-iotests/068 b/tests/qemu-iotests/068
new file mode 100755
index 0000000..b72e555
--- /dev/null
+++ b/tests/qemu-iotests/068
@@ -0,0 +1,65 @@ 
+#!/bin/bash
+#
+# Test case for loading a saved VM state from a qcow2 image
+#
+# Copyright (C) 2013 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
+owner=mreitz@redhat.com
+
+seq="$(basename $0)"
+echo "QA output created by $seq"
+
+here="$PWD"
+tmp=/tmp/$$
+status=1	# failure is the default!
+
+_cleanup()
+{
+	_cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+# This tests qocw2-specific low-level functionality
+_supported_fmt qcow2
+_supported_proto generic
+_supported_os Linux
+
+IMGOPTS="compat=1.1"
+IMG_SIZE=128K
+
+echo
+echo "=== Saving and reloading a VM state to/from a qcow2 image ==="
+echo
+_make_test_img $IMG_SIZE
+# Give qemu some time to boot before saving the VM state
+bash -c 'sleep 1; echo -e "savevm 0\nquit"' |\
+    $QEMU -nographic -monitor stdio -serial none -hda "$TEST_IMG" |\
+    _filter_qemu
+# Now try to continue from that VM state (this should just work)
+echo quit |\
+    $QEMU -nographic -monitor stdio -serial none -hda "$TEST_IMG" -loadvm 0 |\
+    _filter_qemu
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
index 13c5500..3ca9cba 100644
--- a/tests/qemu-iotests/group
+++ b/tests/qemu-iotests/group
@@ -73,3 +73,4 @@ 
 065 rw auto
 066 rw auto
 067 rw auto
+068 rw auto